<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2021 rel. 3 (x64) (http://www.altova.com) by VASILIOS PERGIOUDAKIS (CYBERCE S.A.) -->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.aade.gr/fuel/inoutflow/tankbal" xmlns:common="http://www.aade.gr/fuel/inoutflow/common" targetNamespace="http://www.aade.gr/fuel/inoutflow/tankbal" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:import namespace="http://www.aade.gr/fuel/inoutflow/common" schemaLocation="../common/BasicEntities.xsd"/>
	<xs:element name="TankBalanceRequest">
		<xs:annotation>
			<xs:documentation>Δελτίο Ισοζυγίου Δεξαμενής</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence>
				<xs:element name="TankBalance" type="TankBalanceBType"/>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
	<xs:complexType name="TicketBType">
		<xs:complexContent>
			<xs:extension base="common:TankBalanceType">
				<xs:sequence>
					<xs:element name="Density" nillable="false">
						<xs:annotation>
							<xs:documentation>Πυκνότητα καυσίμου στους 15 οC</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:decimal">
								<xs:fractionDigits value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
					<xs:element name="Difference" nillable="false">
						<xs:annotation>
							<xs:documentation>Μεταβολή Όγκου</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:decimal">
								<xs:fractionDigits value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
					<xs:element name="TotalQuantity" nillable="false">
						<xs:annotation>
							<xs:documentation>Η συνολικώς εξαχθείσα ποσότητα από τη δεξαμενή λόγω λοιπών κινήσεων και λόγω βαθμονόμησης μετρητή               </xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:decimal">
								<xs:fractionDigits value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
					<xs:element name="TotalMeasurements" nillable="false">
						<xs:annotation>
							<xs:documentation>Σύνολο προμετρήσεων / επιμετρήσεων Μετρητών</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:decimal">
								<xs:fractionDigits value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="TankBType">
		<xs:complexContent>
			<xs:extension base="common:TankBasicType">
				<xs:sequence>
					<xs:element name="Type" nillable="false">
						<xs:annotation>
							<xs:documentation>Ένδειξη για το αν η δεξαμενη αφορά σε Φορολογική Αποθήκη ή Αποθήκη Τελωνειακής Αποταμίευσης</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:string">
								<xs:length value="1"/>
								<xs:pattern value="1"/>
								<xs:pattern value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
					<xs:element name="Identifier" nillable="false">
						<xs:annotation>
							<xs:documentation>Αριθμός Ε.Φ.Κ ή αριθμός Άδειας Λειτουργίας της Τ.Α.</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:string">
								<xs:maxLength value="50"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="MeasureBType">
		<xs:complexContent>
			<xs:extension base="common:MeasureBasicType">
				<xs:sequence>
					<xs:element name="Level" nillable="false">
						<xs:annotation>
							<xs:documentation>Τρέχον ύψος της στάθμης (mm)</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:decimal">
								<xs:fractionDigits value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
					<xs:element name="Temperature" nillable="false">
						<xs:annotation>
							<xs:documentation>Θερμοκρασία (o C)</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:decimal">
								<xs:fractionDigits value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
					<xs:element name="VolumeNatTemperature" nillable="false">
						<xs:annotation>
							<xs:documentation>Όγκος καυσίμου στη φυσική θερμοκρασία</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:decimal">
								<xs:fractionDigits value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="ReportBType">
		<xs:sequence>
			<xs:element name="MeasureReport" type="MeasureReportBType"/>
			<xs:element name="Fuel" type="common:FuelBasicType"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="MeasureReportBType">
		<xs:sequence>
			<xs:element name="Code" type="xs:string" nillable="false">
				<xs:annotation>
					<xs:documentation>Αριθμός Μητρώου</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="TotalOutflows" nillable="false">
				<xs:annotation>
					<xs:documentation>Εκροές μετρητή μέσα στη χρονική περίοδο αναφοράς στους 15 οC / 20 οC
					</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:decimal">
						<xs:fractionDigits value="2"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="TankBalanceBType">
		<xs:sequence>
			<xs:element name="Ticket" type="TicketBType">
				<xs:annotation>
					<xs:documentation>Δελτίο</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="Tank" type="TankBType">
				<xs:annotation>
					<xs:documentation>Δεξαμενή</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="Fuel" type="common:FuelBasicType">
				<xs:annotation>
					<xs:documentation>Καύσιμο</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="MeasurePre" type="MeasureBType">
				<xs:annotation>
					<xs:documentation>Μέτρηση κατά την έναρξη της περιόδου</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="MeasurePost" type="MeasureBType">
				<xs:annotation>
					<xs:documentation>Μέτρηση κατά το πέρας της περιόδου</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="MeterReports">
				<xs:annotation>
					<xs:documentation>Κινήσεις Μετρητών</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:sequence>
						<xs:element name="MeterReport" type="ReportBType" maxOccurs="unbounded"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="BridgeReports">
				<xs:annotation>
					<xs:documentation>Παραδόσεις με Γεφυροπλάστιγγα</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:sequence>
						<xs:element name="BridgeReport" type="ReportBType" maxOccurs="unbounded"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
</xs:schema>